Function: requestedFeatures()
requestedFeatures(
body):object
Detect route-affecting features from an OpenAI or Anthropic request body.
Parameters
Section titled “Parameters”Readonly<Record<string, unknown>>
Returns
Section titled “Returns”object
background
Section titled “background”background:
boolean
customTools
Section titled “customTools”customTools:
boolean
parallelTools
Section titled “parallelTools”parallelTools:
boolean
previousResponse
Section titled “previousResponse”previousResponse:
boolean
reasoning
Section titled “reasoning”reasoning:
boolean
storage
Section titled “storage”storage:
boolean
structuredOutput
Section titled “structuredOutput”structuredOutput:
boolean
tools:
boolean
unsupportedOpenResponsesTools
Section titled “unsupportedOpenResponsesTools”unsupportedOpenResponsesTools:
boolean
webSearch
Section titled “webSearch”webSearch:
boolean